## org.emboss.jemboss.soap
Class AuthPopup

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.AuthPopup

public class AuthPopup
extends java.lang.Object

Field Summary
`(package private) javax.swing.JProgressBar` `progressBar`
`(package private) javax.swing.JLabel` `progressLabel`

Constructor Summary
`AuthPopup(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, int iprogressmax)` Called on startup to display the login and progress bar.
`AuthPopup(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, javax.swing.JFrame f)` Display a popup asking the user to enter their username and password

Method Summary
`void` `doneEverything(java.lang.String s)` Finish the progress bar and label
`void` `doneSomething(java.lang.String s)` Update the progress bar and label
`javax.swing.JFrame` `getSplashFrame()`
`void` `startupFailed()` Called if something went wrong in startup.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### progressBar

    javax.swing.JProgressBar progressBar

### progressLabel

    javax.swing.JLabel progressLabel

Constructor Detail

### AuthPopup

    public AuthPopup(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                     javax.swing.JFrame f)

  Display a popup asking the user to enter their username and password
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
    `f` - Parent frame the popup is associated with

### AuthPopup

    public AuthPopup(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                     int iprogressmax)

  Called on startup to display the login and progress bar.

Method Detail

### doneSomething

    public void doneSomething(java.lang.String s)

  Update the progress bar and label

### doneEverything

    public void doneEverything(java.lang.String s)

  Finish the progress bar and label

### startupFailed

    public void startupFailed()

  Called if something went wrong in startup.

### getSplashFrame

    public javax.swing.JFrame getSplashFrame()